Package org.jboss.resteasy.util

## Class ArrayCharSequence

- java.lang.Object
- - org.jboss.resteasy.util.ArrayCharSequence

- All Implemented Interfaces:
    `CharSequence`

      public class ArrayCharSequence
      extends Object
      implements CharSequence

  A CharSequence backed by a char[] (no copy on creation)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayCharSequence​(char[] buff)` |
    `ArrayCharSequence​(char[] buff, int count)` |
    `ArrayCharSequence​(char[] buff, int offset, int count)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `charAt​(int index)` |
    `int` | `length()` |
    `CharSequence` | `subSequence​(int beginIndex, int endIndex)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### ArrayCharSequence

          public ArrayCharSequence​(char[] buff)

    - #### ArrayCharSequence

          public ArrayCharSequence​(char[] buff,
                                   int count)

    - #### ArrayCharSequence

          public ArrayCharSequence​(char[] buff,
                                   int offset,
                                   int count)

  - ### Method Detail

    - #### charAt

          public char charAt​(int index)

      Specified by:
        `charAt` in interface `CharSequence`

    - #### length

          public int length()

      Specified by:
        `length` in interface `CharSequence`

    - #### subSequence

          public CharSequence subSequence​(int beginIndex,
                                          int endIndex)

      Specified by:
        `subSequence` in interface `CharSequence`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `CharSequence`
      Overrides:
        `toString` in class `Object`